2019-10-14 10:22 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002428FSSCPtablespublic2011-04-26 05:33
ReporterCaptJosh 
Assigned ToThe_E 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002428: 3.6.13 EXEs do not correctly bypass deprecated $Decal: flag in weapon tables
DescriptionWhen attempting to play a number of older campaigns, including Awakenings, Cardinal Spear, Destiny of Peace, Shrouding the Light, et al., I encountered issues with the weapons tbm files they used.

The errors generated were as follows:

In STL:
mv_effects-wep.tbm(line 13:
Error: Required token = [#End] or [$Name:], found [0.2]
in weapon: @Subach HL-7

In Destiny of Peace and Awakenings:
mv_effects-wep.tbm(line 126:
Error: Required token = [#End] or [$Name:], found [1.0]
in weapon: Prometheus R

In Cardinal Spear:
mv_effects-wep.tbm(line 281:
Error: Required token = [#End] or [$Name:], found [0.1]
in weapon: @Vasudan Light Laser

After discussing this in #hard-light on esper.net
Zacam volunteered that this was an issue with the deprecated $Decal: flag not being correctly bypassed. According to him, he was supposed to work on it. It was broken. Someone else said they fixed it, but he never checked.

Expected behavior, per Zacam is that it should simply ignore the lines that use $Decal:, or, on a debug build, report how many instances of the flag were ignored and in what file or files.

Observed behavior is the above listed errors, plus errors in other campaigns such as Twilight and Aftermath.
Additional InformationZacam said he would work on this. Nevertheless, I am filing this issue report so that all the coders can know what's going on.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012668

The_E (administrator)

Fixed in rev 7148
+Notes

-Issue History
Date Modified Username Field Change
2011-04-25 18:19 CaptJosh New Issue
2011-04-26 05:33 The_E Note Added: 0012668
2011-04-26 05:33 The_E Status new => resolved
2011-04-26 05:33 The_E Fixed in Version => 3.6.13
2011-04-26 05:33 The_E Resolution open => fixed
2011-04-26 05:33 The_E Assigned To => The_E
+Issue History